%global python3_pkgversion 38
%global python3_other_pkgversion 3

# Created by pyp2rpm-3.3.3
%global pypi_name redis

# Our EL8 buildroots default to Python 3.8, but let's also build 3.6, just to be safe
# to make dnf happy
%if 0%{?rhel} == 8
%bcond_without python36
%else
%bcond_with python36
%endif

Name:           python-%{pypi_name}
Version:        3.5.3
Release:        5%{?dist}
Summary:        Python client for Redis key-value store

License:        MIT
URL:            https://github.com/andymccurdy/redis-py
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%if %{with python36}
%package -n     python%{python3_other_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pypi_name}}

BuildRequires:  python36-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools

%description -n python%{python3_other_pkgversion}-%{pypi_name}
%{summary}
%endif

%prep
set -ex
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
set -ex
%py3_build
%if %{with python36}
/usr/bin/python3.6 setup.py build '--executable=/usr/bin/python3.6 -s'
%endif


%install
set -ex
%py3_install
%if %{with python36}
/usr/bin/python3.6 setup.py install --skip-build --root %{buildroot}
%endif


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%if %{with python36}
%files -n python%{python3_other_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
/usr/lib/python3.6/site-packages/%{pypi_name}
/usr/lib/python3.6/site-packages/%{pypi_name}-%{version}-py*.egg-info
%endif


%changelog
* Tue Apr  5 2022 Sebastian Skracic <sskracic@redhat.com> - 3.5.3-5
- Now building RPMs for both Python 3.6 and 3.8

* Mon Sep 06 2021 Evgeni Golov - 3.5.3-2
- Build against Python 3.8

* Thu Jun 04 2020 Evgeni Golov 3.5.3-1
- Update to 3.5.3

* Wed Mar 18 2020 Samir Jha 3.4.1-1
- Update to 3.4.1

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.1.0-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.1.0-1
- Initial package.
